Name:		php5-ffmpeg
Version: 	0.6.0
Release:	4.4
License: 	GPL
Group: 		Development/Libraries
Summary: 	php ffmpeg extension
URL: 		http://ffmpeg-php.sourceforge.net/
Source0: 	ffmpeg-php-%{version}.tbz2
Patch0:		ffmpeg-php_x86_64-fix.diff
Patch1:		ffmpeg-php-PIX.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libffmpeg0 libffmpeg0-devel autoconf automake php5-devel glibc-devel libgcc gcc gcc-c++
Requires:	php5 libffmpeg0 sed grep

%description
ffmpeg-php is an extension for PHP that adds an easy to use, 
object-oriented API for accessing and retrieving information from video and audio files. 
It has methods for returning frames from movie files as images that can be manipulated 
using PHP's image functions. This works well for automatically creating thumbnail 
images from movies. ffmpeg-php is also useful for reporting the duration and bitrate 
of audio files (mp3, wma...). 
ffmpeg-php can access many of the video formats supported by ffmpeg (mov, avi, mpg, wmv...)


%prep
%setup -q -n ffmpeg-php-%{version}
%patch -p1
%if 0%{?suse_version} >= 1110
%patch1 -p0
%endif

export PHP_PREFIX=%{_prefix}
$PHP_PREFIX/bin/phpize
./configure --enable-ffmpeg=shared --with-php-config=$PHP_PREFIX/bin/php-config

%__make
%install
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/php5/extensions/
install -m 755 modules/ffmpeg.so $RPM_BUILD_ROOT%{_libdir}/php5/extensions/
install -d 755 $RPM_BUILD_ROOT/etc/php5/conf.d
echo "extension=ffmpeg.so" > $RPM_BUILD_ROOT/etc/php5/conf.d/ffmpeg.ini

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE CREDITS EXPERIMENTAL
%config %{_sysconfdir}/php5/conf.d/ffmpeg.ini
%{_libdir}/php5/extensions/ffmpeg.so
 
%changelog
* Sun Dec 28 2008 Carsten Schoene <cs@linux-administrator.com>
- 0.6.0:
  - Support for ffmpeg swscale API
  - Removed obsolete resize() and crop() functions. These operations are
    more flexibly done using the gd commands.
  - Removed animated gif class since it was way out of date and the
    quality of animated gifs created by ffmpeg sucks anyway
  - Added check to ensure that gd loads before ffmpeg-php if both are
    compiled as extensions.
  - Replaced large mp3 test file with smaller sample to avoid copyright
    issues and reduce package size.
  - Convert from deprecated img_* functions to swscale.
  - Builds against php4 correctly again.
* Fri Jul 04 2008 Carsten Schoene <cs@linux-administrator.com>
- 0.5.3.1:
 - Small fix to maintain compatibility with ffmpeg svn. 
 - Removed copyrighted test media and replaced with public domain. 
- 0.5.3:
 - Added php.ini flag to turn off ffmpeg warnings. Added stream id functions
* Mon Oct 01 2007 Carsten Schoene <cs@linux-administrator.com>
- initial package release - 0.5.1

